Update or Add the BillRun object and optionally make changes to any child objects.Copy Pagepatch https://{server_address}/ResourceServer/api/v10/BillRun/{id}Path ParamsidintegerrequiredUnique identifier for the BillRun object.Body ParamsA Bill Run is used to execute billing on a set of Bill Groups. There are multiple different options that can be selected on what should be included as actions of the Bill Run.billPeriodEnddate-timeThe end date to look for billable transactions. Date and time values are specified in the ISO 8601 format.billPeriodStartdate-timeThe start date to look for billable transactions. Date and time values are specified in the ISO 8601 format.runBillingbooleantruetruefalsenamestringrunDeliverybooleantruetruefalserunRenderInvoicebooleantruetruefalserunPaymentTermbooleantruetruefalserunBillUsagebooleantruetruefalserunPaymentRetryTermsbooleantruetruefalsecollectionTypeIdnumberUnique identifier for the associated CollectionType object.collectionTypeNamestringThe name of the object associated with the collectionTypeId property.runInvoicingbooleantruetruefalsecurrencyExchangeIdnumberUnique identifier for the associated CurrencyExchange object.currencyExchangeNamestringThe name of the object associated with the currencyExchangeId property.runContractbooleantruetruefalsepostingdate-timeSpecify the accounting posting date associated with this Bill Run. Date and time values are specified in the ISO 8601 format.billRunStatusTypeIdnumberUnique identifier for the associated BillRunStatusType object.billRunStatusTypeNamestringThe name of the object associated with the billRunStatusTypeId property.runPaymentbooleantruetruefalsebillRunTypeIdnumberUnique identifier for the associated BillRunType object.billRunTypeNamestringThe name of the object associated with the billRunTypeId property.runInvoicingContractbooleantruetruefalseResponses 200Patch end points allow for adding/updating multiple related entities and the results of those changes will be reported in the response JSON payload in the items array. 400The request could not be processed.Updated 2 months ago